javax.persistence

## Class TransactionRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.TransactionRequiredException

All Implemented Interfaces:
  java.io.Serializable

    public class TransactionRequiredException
    extends PersistenceException

Thrown by the persistence provider when a transaction is required but is not active.

See Also:
  Serialized Form
Since:
  Java Persistence 1.0

### Constructor Summary

Constructors
Constructor and Description
`TransactionRequiredException()` Constructs a new `TransactionRequiredException` exception with `null` as its detail message.
`TransactionRequiredException(java.lang.String message)` Constructs a new `TransactionRequiredException` exception with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionRequiredException

    public TransactionRequiredException()

Constructs a new `TransactionRequiredException` exception with `null` as its detail message.

#### TransactionRequiredException

    public TransactionRequiredException(java.lang.String message)

Constructs a new `TransactionRequiredException` exception with the specified detail message.

Parameters:
  `message` - the detail message.